Loading...
Searching...
No Matches
XrdOucStats.hh File Reference
`#include "XrdSys/XrdSysAtomics.hh"`
Include dependency graph for XrdOucStats.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdOucStats

## Macros

#define | _statsADD(x, y)
#define | _statsINC(x)

## Macro Definition Documentation

## _statsADD

#define _statsADD | ( |  | x,
|  |  | y )

Value:
statsMutex.Lock(); x+=y; statsMutex.UnLock()

Definition at line 39 of file XrdOucStats.hh.

Referenced by XrdOucStats::Bump(), and XrdOucStats::Bump().

## _statsINC

#define _statsINC | ( |  | x | ) |

Value:
statsMutex.Lock(); x++; statsMutex.UnLock()

Definition at line 40 of file XrdOucStats.hh.

Referenced by XrdOucStats::Bump(), and XrdOucStats::Bump().